Bug 1000214 - service can not use the language LANG= correctly
service can not use the language LANG= correctly
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts (Show other bugs)
6.4
Unspecified Linux
unspecified Severity high
: rc
: ---
Assigned To: Lukáš Nykrýn
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 21:05 EDT by Yin.JianHong
Modified: 2016-11-25 08:08 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-24 10:47:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-08-22 21:05:15 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install a rhel6.4 with chinese simplified language set
2. see the follow section: Actual results
3.

Actual results:
[root@dhcp-13-188 ~]# LANG=C  /etc/init.d/autofs  start
Starting automount:                                        [  OK  ]
[root@dhcp-13-188 ~]# LANG=C  /etc/init.d/autofs  stop
Stopping automount:                                        [  OK  ]
[root@dhcp-13-188 ~]# LANG=C service autofs start
正在启动 automount:                                       [确定]
  `--> LANG=C setup  should output in english ...
[root@dhcp-13-188 ~]# LANG=C service autofs stop
停止 automount:                                           [确定]



Additional info:
Comment 2 Lukáš Nykrýn 2013-08-23 10:37:24 EDT
I am not sure that this is a bug. As it is stated in the manpage "service
runs a System V init script in as predictable environment as possible,
removing most environment variables". Service is supposed to remove settings of environment variables.
Comment 3 RHEL Product and Program Management 2013-10-13 22:35:46 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Lukáš Nykrýn 2014-03-24 10:47:27 EDT
NOTABUG for reason from comment 2

Note You need to log in before you can comment on or make changes to this bug.